Subject: Re: [PATCH 06/10] builtin/gc.c: use "unsorted_string_list_has_string()" where appropriate

From: Junio C Hamano <[email-masked]>
Date: Thu, 27 Oct 2022 12:37:43 -0700

Ævar Arnfjörð Bjarmason  <[email-masked]> writes:

> Refactor a "do I have an element like this?" pattern added in [1] and
> [2] to use unsorted_string_list_has_string() instead of a
> for_each_string_list_item() loop.

In the longer term, I am not sure if we want to keep such code that
uses string-list as a "database to be looked up with the string as
the key".  I am not sure it is worth our review bandwidth to change
a for-each-string-list that terminates early to its shorthand
unsorted_string_list_has_string().  Surely each such conversation
would allow us to lose 4 to 5 lines, but longer term we should be
discuraging the use of unsorted_string_list_has_string() in the
first place.